/*
    (C) 1995-2000 AROS - The Amiga Research OS
    $Id: parsepatternnocase.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: English
*/
#include <proto/exec.h>
#include <proto/utility.h>
#include <dos/dos.h>
#include <dos/dosasl.h>
#include <dos/dosextens.h>
#include "dos_intern.h"

/*****************************************************************************

    NAME */
#include <proto/dos.h>

	AROS_LH3(LONG, ParsePatternNoCase,

/*  SYNOPSIS */
	AROS_LHA(STRPTR, Source,     D1),
	AROS_LHA(STRPTR, Dest,       D2),
	AROS_LHA(LONG,   DestLength, D3),

/*  LOCATION */
	struct DosLibrary *, DOSBase, 161, Dos)

/*  FUNCTION
	Similar to ParsePattern(), only case insensitive (see there
	for more information). For use with MatchPatternNoCase().

    INPUTS

    RESULT

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO
	ParsePattern(), MatchPatternNoCase().

    INTERNALS

    HISTORY

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    DEBUG_PATTERN(dprintf("ParsePatternNoCase: source = \"%s\", dest = $%lx, size = %ld\n",
			  Source, (ULONG) Dest, DestLength));

    FAILFORTASKNP(return -1;)

    return patternParse(Source, Dest, DestLength, FALSE, DOSBase);

    AROS_LIBFUNC_EXIT
} /* ParsePatternNoCase */
